Redmine - Defect #8229

"project.xml" response does not include the parent ID
2011-04-26 19:44 - Alex Last

Status: Closed Start date: 2011-04-26
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 1.2.1

Resolution: Fixed Affected version: 1.1.2
Description

the response from Project REST API does not include "parent ID" field.

Associated revisions

Revision 6203 - 2011-07-09 13:39 - Jean-Philippe Lang
Adds parent project to /projects/:id API (#8229).

History

#1 - 2011-04-26 19:59 - Etienne Massip
- Assignee deleted (Jean-Philippe Lang)

#2 - 2011-04-26 20:01 - Alex Last

Etienne, hi. Is there anyone who could fix this?

#3 - 2011-04-27 07:23 - griffin qiu
- Status changed from New to Resolved
- Assignee set to Nicolas Chuche

- % Done changed from 0 to 80

Alexey Skor wrote:

the response from Project REST API does not include "parent ID" field.

test

#4 - 2011-04-27 07:36 - Alex Last

| don't see any changed in the repository...

#5 - 2011-04-27 09:44 - Etienne Massip

- Status changed from Resolved to New

- Assignee deleted (Nicolas Chuche)

- Target version set to Candidate for next minor release

- % Done changed from 80 to 0

You're right, this is missing, although this information is present in the issue xml build.

#6 - 2011-07-09 13:42 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version changed from Candidate for next minor release to 1.2.1

- Resolution set to Fixed

Fixed in r6203.
https://www.redmine.org/projects/redmine/repository/svn/revisions/6203

#7 - 2011-07-15 04:53 - Alex Last

it's not merged into Redmine 1.2.1 branch yet, is it?

#8 - 2011-07-15 05:24 - Toshi MARUYAMA

Alexey Skor wrote:

it's not merged into Redmine 1.2.1 branch yet, is it?
Merged in 1.2-stable r6205.
#9 - 2011-07-15 05:28 - Alex Last

yeah, sorry. there was a bug in my junit test. | fixed it and verified this works for both Redmine-trunk and 1.2-stable branch.
| added support to Redmine Java API: http://code.google.com/p/redmine-java-api/issues/detail ?id=58
